Install old Mac Version or a virual Catallina

Discussion in 'Parallels Desktop for Mac Feature Suggestions' started by NelsonML, Apr 15, 2020.

  1. NelsonML

    NelsonML Bit Poster

    Messages:
    1
    I have a Mid 2010 iMac i7 processor and it is impossible run the Catalina version. When I upgrade to 10.13.6 of High Sierra and a serie of APPs are incompatible. Then I suggest Install late version of High Sierra OR install a virtual version of the Catalina, if that second option it is possible. What I feel: I have a very good iMac and I do not want throw it in the trash.
     

Share This Page